﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_StudLeave>
@{
    ViewBag.Title = "Search";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {

            $("#txtFdate").datepicker();
            $("#txtTdate").datepicker();

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });
        });

        function Submit() {
            searchfun();
        }

        function searchfun() {
            var txtName = $("#txtName").val();
            var txtroll = $("#txtRoll").val();

            window.location.href = "/TbStudLeave/Search?sname=" + txtName + "&&roll=" + txtroll;
        }

        deleterecord("TbStudLeave");
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Searched Student Leave List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div style="margin-top: 40px" align="center">
            <table style="width: 800px; text-align: center">
                <tr>
                    <td style="width: 100px">
                        Roll No
                    </td>
                    <td>
                        <input type="text" style="width: 130px" id="txtRoll" value="@ViewBag.ROLL" />
                    </td>
                    <td style="width: 100px">
                        Name
                    </td>
                    <td>
                        <input type="text" style="width: 130px" id="txtName" value="@ViewBag.SName" />
                    </td>
                    <td style="vertical-align: top">
                        <table>
                            <tr>
                                <td style="vertical-align: top">
                                    <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table style="width: 100%" align="center">
                <tr>
                    <td align="left" style="width: 50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" style="width: 50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Enter Date
                        </th>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.FromDate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.ToDate)
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @{
                        string enterdate = string.Format("{0:dd MMM,yyy}", item.Cdate);

                                }

                                @enterdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.FirstName) &nbsp;
                                @Html.DisplayFor(modelItem => item.MaAdmission.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FromDate)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ToDate)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Remarks)
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                                {
                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "TbStudLeave", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/print.png", "Print", "PrintReport", "TbStudLeave", new { id = item.Id }, new { @target = "_blank" }, null)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>

        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
    </div>
</div>
